Page MenuHomePhabricator

Huge langlinks list on top of mobile login page
Closed, ResolvedPublic

Description

Have a look on this wonderful login page for dewiki:

It's alpha and beta only (where we have core login page) on an emulated Nexus 5. That looks terrible and the languagelinks should be hidden for now (and maybe replaced with a nicer language selection, maybe a dropdown?

The list is created here:
https://github.com/wikimedia/mediawiki/blob/d1fb1a2d0e1878aac70b3767c58ef6b3a1aa065f/includes/specials/SpecialUserlogin.php#L1649-L1666

And is a simply mediawiki message key and needs to be enabled with $wgLoginLanguageSelector (for local testing e.g.).

Event Timeline

Florian created this task.Aug 26 2015, 9:22 PM
Florian updated the task description. (Show Details)
Florian raised the priority of this task from to High.
Florian assigned this task to Jdlrobson.
Florian claimed this task.
Florian added subscribers: Jhernandez, gerritbot, Aklapper and 3 others.
Florian added a subscriber: Jdlrobson.
Florian updated the task description. (Show Details)Aug 26 2015, 9:26 PM
Florian set Security to None.

Change 234149 had a related patch set uploaded (by Florianschmidtwelzow):
Hide languagelinks list on alpha/beta login page

https://gerrit.wikimedia.org/r/234149

Change 234163 had a related patch set uploaded (by Florianschmidtwelzow):
WIP: Convert UserLogin language links into a dropdown select list

https://gerrit.wikimedia.org/r/234163

@Florian thanks for the patch! I'm not sure from a design perspective if using a drop down is the best idea. I suspect something like ULS would be better ran here (with search interface, preferred languages etc). The mobile blue button should arguably be showing on the login form under the login form for switching languages.

Language engineering - this kind of problem keeps coming up - we serve large chunks of HTML in pages for all the languages we support in a way that impacts mobile readability. I really think language selection should be JavaScript based everywhere with a link as a fallback to a page such as https://en.m.wikipedia.org/wiki/Special:MobileLanguages/San_Francisco

It seems to be a problem with our infrastructure which keeps hurting mobile and I'm keen to address it. @Amire80 is it worth us having some kind of chat around the strategy for this kind of thing?

Change 234149 merged by jenkins-bot:
Hide languagelinks list on alpha/beta login page

https://gerrit.wikimedia.org/r/234149

I removed the Patch-For-Review project, because there is no change anymore to review. But the real underlying problem (having a bad formatted huge list of languages) still isn't resolved, so keeping this task open :)

Change 234163 abandoned by Florianschmidtwelzow:
WIP: Convert UserLogin language links into a dropdown select list

Reason:
It's still in gerrit, but I actually don't work on it, until there is some consensus in the task :)

https://gerrit.wikimedia.org/r/234163

Jdlrobson renamed this task from Huge langlinks list on top of alpha/beta login page to Huge langlinks list on top of mobile login page.
Florian removed Florian as the assignee of this task.Nov 25 2015, 8:14 PM

I'm not working on this.

Aklapper closed this task as Resolved.Sep 20 2016, 2:05 PM
Aklapper claimed this task.

Being logged out and going to https://de.m.wikipedia.org/w/index.php?title=Spezial:Anmelden I cannot reproduce this anymore. No section of languages is displayed on top.

Closing as resolved; please reopen if this is still a problem.

We hid them... this is why it's not there.
I've created T146151 rather than repurpose the bug to make that clearer.